List webhook subscriptions
GET
/webhook-subscriptionsAuthorization
X-API-KeyAPI key · headerrequiredAPI key in format `sk_*`. Scoped to your partner account; server-side use only.
Responses
200All subscriptions for your account.
Array of
WebhookSubscriptionidstring<uuid>requiredurlstring<uri>requiredmatches ^https://
event_typesWebhookEventType[]requiredactivebooleanrequiredcreated_atstring<date-time>required401Missing, invalid, expired, or environment-mismatched API key.
codeErrorCoderequiredStable machine-readable error vocabulary for v1.
Allowed:
validation_errorstate_conflictenvironment_mismatchunsupported_destinationinvalid_api_keynot_foundrate_limitedextraobjectrequiredStructured details such as field errors or SKU availability.
messagestringrequiredHuman-readable summary.
429Rate limit exceeded for this API key.
codeErrorCoderequiredStable machine-readable error vocabulary for v1.
Allowed:
validation_errorstate_conflictenvironment_mismatchunsupported_destinationinvalid_api_keynot_foundrate_limitedextraobjectrequiredStructured details such as field errors or SKU availability.
messagestringrequiredHuman-readable summary.
Try it
Server
Authorization
Request
curl -X GET "https://api.vault.stashtab.gg/v1/webhook-subscriptions" \
-H "X-API-Key: YOUR_API_KEY"const response = await fetch("https://api.vault.stashtab.gg/v1/webhook-subscriptions", {
method: "GET",
headers: {
"X-API-Key": "YOUR_API_KEY"
}
});Response
[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "http://example.com",
"event_types": [
"item.intake.completed"
],
"active": true,
"created_at": "2019-08-24T14:15:22Z"
}
]{
"code": "validation_error",
"extra": {},
"message": "string"
}{
"code": "validation_error",
"extra": {},
"message": "string"
}